Linux下解决64位下Apache编译模块时/usr/lib/libexpat.so问题

2020年3月9日09:15:08
评论

Linux下给apache编译libapreq2模块时候报错:/usr/lib/libexpat.so: could not read symbols: File in wrong format

尝试了几种方式都不行,大概步骤都是如下:
perl -MCPAN -e shell
>>> install Apache2::Request

... 一直到make,然后报错

用perl Makefile.PL --with-apache2-apxs=/path/apxs,make时候也报错。

很是郁闷,然后修改Makefile.PL、configure、force install等等,都是未果。

问题都是64位下的libexpat.so有点问题。换个64位编译软件碰到了不少麻烦唉。

企鹅博客
  • 本文由 发表于 2020年3月9日09:15:08
  • 转载请务必保留本文链接:https://www.qieseo.com/138090.html

发表评论